# Yonote Helm Chart

## Обзор

Этот Helm chart позволяет развернуть **Yonote** в Kubernetes. Она предоставляет быстрый и простой способ установки, настройки и управления приложением с помощью Helm.

## Требования

- Kubernetes cluster (version 1.16 or later)
- Helm (version 3.0 or later)
- Ingress Controller (nginx/traefik)
  
## Установка

### 1. Выполните сборку зависимостей Helm chart

```bash
helm dependency build
```

### 2. Настройка значений

Перед развертыванием приложения через Helm необходимо внести валидные значения в файлы values.yaml и secret-values.yaml. Эти файлы содержат параметры конфигурации, которые будут использованы при установке приложения.

Настройте необходимые параметры. В файлах values.yaml и secret-values.yaml вы найдете различные секции, каждая из которых соответствует определенной части конфигурации приложения. Внимательно изучите комментарии в этих файлах; они указывают на места, где необходимо внести изменения. Обратите особое внимание на секцию ingress, так как её настройка важна для правильной работы приложения. Вам потребуется заменить или настроить значения в этой секции в соответствии с вашими требованиями.

Более подробно ознакомиться с переменными вы можете по следующей ссылке: https://yo.yonote.ru/doc/peremennye-okruzheniya-mOI8Jl6B05

### 3. Запуск приложения

После настройки значений выполните команду:

```bash
helm install app -f values.yaml -f secret-values.yaml -n yonote-onprem .
```
После выполнения команды начнётся установка приложения и всех дополнительных сервисов к нему. Остаётся только подождать, пока все сервисы запустятся.

### 4. Обратная связь

Если у вас есть вопросы или вам нужна помощь, пишите на email: hello@yonote.ru